> ## Documentation Index
> Fetch the complete documentation index at: https://whitebit-mintlify-ws-modify-order-1774626156.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Main balance

> The endpoint retrieves the [main balance](/glossary#balance-main) by currency [ticker](/glossary#ticker) or all balances.

<Warning>
  Rate limit: 1000 requests/10 sec.
</Warning>

<Note>
The API does not cache the response.
</Note>




## OpenAPI

````yaml /openapi/private/main_api_v4.yaml POST /api/v4/main-account/balance
openapi: 3.0.3
info:
  title: WhiteBIT Private HTTP API V4
  description: |
    WhiteBIT Private HTTP API V4 for Main balance changes.

    Base URL: https://whitebit.com

    All endpoints return time in Unix-time format.
    All endpoints return either a JSON object or array.
    For receiving responses from API calls please use http method POST.
  version: 4.0.0
  contact:
    name: WhiteBIT Support
    email: support@whitebit.com
    url: https://whitebit.com
servers:
  - url: https://whitebit.com
    description: WhiteBIT Global Server
  - url: https://whitebit.eu
    description: WhiteBIT EU Server
security:
  - ApiKeyAuth: []
tags:
  - name: Main Account
    description: Main account balance and operations
  - name: Deposit
    description: Cryptocurrency and fiat deposit operations
  - name: Withdraw
    description: Cryptocurrency and fiat withdrawal operations
  - name: Transfer
    description: Balance transfer operations
  - name: Codes
    description: WhiteBIT codes operations
  - name: Crypto Lending - Fixed
    description: Fixed crypto lending plans
  - name: Crypto Lending - Flex
    description: Flexible crypto lending plans
  - name: Fees
    description: Fee information
  - name: Sub-Account
    description: Sub-account management
  - name: Sub-Account API Keys
    description: Sub-account API key management
  - name: Mining Pool
    description: Mining pool operations
  - name: Credit Line
    description: Credit line information
  - name: JWT
    description: JWT token management
paths:
  /api/v4/main-account/balance:
    post:
      tags:
        - Main Account
      summary: Get main balance
      description: >
        The endpoint retrieves the [main balance](/glossary#balance-main) by
        currency [ticker](/glossary#ticker) or all balances.


        <Warning>
          Rate limit: 1000 requests/10 sec.
        </Warning>


        <Note>

        The API does not cache the response.

        </Note>
      operationId: getMainBalance
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - request
                - nonce
              properties:
                ticker:
                  type: string
                  description: Currency's ticker.
                  example: BTC
                request:
                  type: string
                  description: Request signature
                  example: '{{request}}'
                nonce:
                  type: string
                  description: Unique request identifier
                  example: '{{nonce}}'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: object
                  properties:
                    main_balance:
                      type: string
                      description: Main balance volume
              example:
                BSV:
                  main_balance: '0'
                BTC:
                  main_balance: '0'
                BTG:
                  main_balance: '0'
                BTT:
                  main_balance: '0'
                XLM:
                  main_balance: '36.48'
        '400':
          description: Validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      properties:
        code:
          type: integer
        message:
          type: string
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-TXC-APIKEY
      description: API key authentication using signed requests

````